#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_SimpleToggle.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls

dim as Gadget ptr tgl_a,tgl_b, btn_modifier

tgl_a=AddToggleGadget(0,300,10,,,"Toggle A")
tgl_b=AddToggleGadget(0,300,40,,,"Toggle B")
btn_modifier=AddSimpleGadget(0,430,365,200,25,"Modify")

GadgetOn(tgl_a)
GadgetOn(tgl_b)
GadgetOn(btn_modifier)

SetSelect(tgl_b)
do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case tgl_a
        if GetSelect(tgl_a)=1 then print "Toggle A selektiert" else print "Toggle A nicht selektiert"
      
      case tgl_b
        if GetSelect(tgl_b)=1 then print "Toggle B selektiert" else print "Toggle B nicht selektiert"
        
      case btn_modifier
        print "Beide Toggle sind jetzt selektiert"
        SetSelect(tgl_a,1)
        SetSelect(tgl_b,1)            
    end select
  end if
loop until SCREENCLOSEBUTTON

/'
'******************************************************************************
'******************************************************************************

Die Selection definiert ob ein Gadget in irgendeiner Weise ausgewhlt sein bzw dargestellt werden soll.
Im einfachsten Sinne ein Schalter, der ein- oder ausgeschaltet werden kann.
Jedes Gadget besitzt diese Eigenschaft, bei einigen ist diese ihre Hauptfunktion.

SimpleGadgets und Arrows wechseln whrend des Anklickens die Selection kurzzeitig, dort hat das nur eine "grafisch/optische"
Auswirkung. Hier lsst sich die Selection auch nicht beeinflussen.

Bei ToggleGadgets, CheckMarks und RadioButtons ist die Selection hingegen die wichtigste Eigenenschaft dieser Gadgets.
Zum ndern/Abfragen der Selection gibt es folgende Befehle:

'******************************************************************************
'******************************************************************************

*** Beschreibung:
SetSelect() setz den Selection-Status eines Gadgets

*** Syntax:
sub SetSelect (gad as Gadget ptr,Selection as integer=1)

*** Parameter:
gad           ein Zeiger auf ein Gadget
Selection     0=das Gadget soll nicht selektiert sein, 1=das Gadget soll selektiert sein

*** Rckgabewert:
keiner

*** Hinweise:
SetSelect() ndert nur den Selectionsstatus des bergebenen Gadgets, dies ist bei RadioButton-Gruppen
zu bercksichtigen. 

'******************************************************************************
'******************************************************************************

*** Beschreibung:
GadSelect liefert den Selection-Status eines Gadgets

*** Syntax:
function GetSelect (gad as Gadget ptr) as integer

*** Parameter:
gad           ein Zeiger auf ein Gadget 

*** Rckgabewert:
0   Gadget ist nicht selektiert
1   Gadget ist selektiert
'/
