#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_ListBox.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls

dim as Gadget ptr lbx_0,lbx_1,lbx_2
lbx_0=AddListBox(0,300,10,220,90,2,0)
lbx_1=AddListBox(0,300,110,220,90,2,1)
lbx_2=AddListBox(0,300,210,220,90,2,2)


'Alle Eintrge erzeugen
for i as integer=1 to 10
  AddEntry(lbx_0,"Single Select " & i)
  AddEntry(lbx_1,"Single Deselect " & i)
  AddEntry(lbx_2,"Multi Deselect " & i) 
next i

GadgetOn(lbx_0)
GadgetOn(lbx_1)
GadgetOn(lbx_2)


dim as integer index
do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
  
    select case GADGETMESSAGE
      case lbx_0
        print "lbx_0: " & GetListBox(lbx_0)
        
      case lbx_1
        print "lbx_1: " & GetListBox(lbx_1)
      
      case lbx_2
        'Multi Selection Query Loop!!!!!
        index=GetListBox(lbx_2)
        do 
          print index & " ";
          index=GetListBox(lbx_2,index)
        loop until index=0        
        print
       
    end select
  end if
loop until SCREENCLOSEBUTTON


/'
'******************************************************************************
'******************************************************************************
*** Beschreibung:
Erzeugt eine AuswahlBox mit Eintrgen. Es knnen ein oder mehrere Eintrge darin selektiert/deselektiert werden.

*** Syntax:
function AddListBox(win as sGUIWindow ptr,PosX as integer,PosY as integer,BoxWidth as integer,BoxHeight as integer,DisplayMode as integer=0,SelectionMode as integer=0) as Gadget ptr

*** Parameter:
win           ein Zeiger auf ein Fenster, in welchem die ListBox erscheinen soll
              falls die ListBox auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position der ListBox im Parent-Fenster
PosY     

GadWidth      dies beschreibt die Breite und Hhe der ListBox
GadHeight

DisplayMode   hierber wird die Darstellung der Eintrge in der ListBox konfiguriert
              0= selektierte Eintrage werden farblich hervorgehoben, Text=Colors.Colors.GadTextSelected und der Hintergrund=Colors.GadBodySelected              
              1= selektierten Eintrgen wird ein Hkchen vorangestellt        
              2= optimiert fr den Fall da die ListBox den Inhalt eines Festplattenverzeichnisses darstellen soll. Setzt zustzliche Daten
                 innerhalb der Eintrge vorraus.
              3= hier ist es mglich, Eintrge als nicht anklickbare Labels zu definieren. Setzt zustzliche Daten innerhalb der Eintrge voraus   

SelectionMode   hierber wird das Selektionsverhalten eingegestellt              
                0=  Single Select:          es kann vom User nur ein Eintrag selektiert werden. Das Anklicken eines
                                            anderen Eintrages fhrt zum Wechsel der Selektion. Eine Deselektion durch nochmaliges
                                            Anklicken ist nicht mglich.
                                            Solang die ListBox vom Program-User benutzt wird, ist also immer ein Eintrag selektiert.
                                            Wobei erwhnt sein sollte das auch in diesem Modus ein "Nichts ist selektiert"-Zustand
                                            mglich ist.
                
                1=  Single Deselectable:    es kann vom User nur ein Eintrag selektiert werden. Das Anklicken eines
                                            anderen Eintrages fhrt zum Wechsel der Selektion. Wird ein bereits selektierter
                                            Eintrag nochmalig angeklickt, wird dessen Selektion aufgehoben.
                                            Es kann sowohl keiner oder maximal ein Eintrag selektiert sein.
                
                2=  Multi Deselectable:     es knnen vom User mehrere Eintrge selektiert werden. Wird ein bereits selektierter
                                            Eintrag nochmalig angeklickt, wird dessen Selektion aufgehoben.
                                            Es knnen sowohl alle als auch kein Eintrag selektiert sein.
                                            
    
*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:
Wenn ListBox und Eintrge erstellt worden sind, sollte generell eine entsprechende (Vor-)Selektierung mit SetListBox() erfolgen.


'******************************************************************************
'******************************************************************************
*** Beschreibung:
Selektiert/Deselektiert einen Eintrag einer ListBox  

*** Syntax:
sub SetListBox(gad as Gadget ptr,i as integer,Selection as integer=1)

*** Parameter:
gad         ein Zeiger auf eine ListBox

i           Indexnummer des Eintrages dessen Selektion gendert werden soll

Selection   1=Eintrag soll selektiert sein
            0=Eintrag soll nicht selektiert sein
            
*** Rckgabewert:
/

*** Hinweise:
Nach Erzeugung einer ListBox und deren Eintrge ist gegebenenfalls eine entsprechende Selektion mit diesem Befehl vorzunehmen 


'******************************************************************************
'******************************************************************************
*** Beschreibung:
Liefert einen (genauer den ersten) oder weitere Indizes selektierter Eintrge einer ListBox
Dient also der Abfrage einer ListBox

*** Syntax:
function GetListBox(gad as Gadget ptr, index as integer=0) as integer

*** Parameter:
gad     ein Zeiger auf eine ListBox

index   Indexnummer des letzten gefundenen seletierten Eintrages. Dient auch als "Einstiegspunkt" fr die weitergefhrte Suche im
        SelectionMode 2 (Mehrfachselektion, siehe Hinweise) 

*** Rckgabewert:
eine Indexnummer eines selektierten Eintrages. Falls kein Eintrag selektiert ist wird eine 0 rckgegeben

*** Hinweise:
Diese einfache Schleifenkonstruktion fragt Mehrfachselektionen ab:
<code>
index=GetListBox(lbx)
do  
  'if index then
  ' .....
  'end if 
  index=GetListBox(lbx,index)
loop until index=0
</code>
Wenn index=0 gibt es nix mehr zu holen aus der ListBox und der Loop wird verlassen

'/
