#include "sGUI\sGUI.bas"
#include once "sGUI\Gadget_DropDownListBox.bas"
using sGUI

sGUIScreen 19
InitGUI
color Colors.Pen,Colors.BackGround
cls 

dim as Gadget ptr ddn_a,ddn_b
ddn_a=AddDropDownListBox(0,150,10,140,20,140,60)'mode 0 Auswahlbox 
ddn_b=AddDropDownListBox(0,300,10,100,20,,,3)'mode 3 Rotation
'Eintrge erzeugen
AddEntry(ddn_a,"Eintrag")  
AddEntry(ddn_a,"nur") 
AddEntry(ddn_a,"uebers") 
AddEntry(ddn_a,"Auswahlfenster") 
AddEntry(ddn_a,"aenderbar")

'Eintrge erzeugen
AddEntry(ddn_b,"Alles")  
AddEntry(ddn_b,"ist") 
AddEntry(ddn_b,"in") 
AddEntry(ddn_b,"Rotation")

SetDDListBox(ddn_a,1)
SetDDListBox(ddn_b,1)
GadgetOn(ddn_a)
GadgetOn(ddn_b)

do
  sleep 1
  MasterControlProgram
  if GADGETMESSAGE then
    select case GADGETMESSAGE
      case ddn_a
        print "ddn_a: " & GetDDListBox(ddn_a) 
      case ddn_b
        print "ddn_b: " & GetDDListBox(ddn_b)       
    end select
  end if
loop until SCREENCLOSEBUTTON


/'
'******************************************************************************
'******************************************************************************
*** Beschreibung:
Erzeugt eine DropDownListBox(frher ComboBox genannt,aber nach Wiki-Definition keine ist) mit Eintrgen. Es kann nur ein Eintrag darin selektiert sein.

*** Syntax:
function AddDropDownListBox (win as sGUIWindow ptr,PosX as integer,PosY as integer,GadWidth as integer,GadHeight as integer,ListBoxWidth as integer=200,ListBoxHeight as integer=100,mode as integer=0) as Gadget ptr

*** Parameter:
win             ein Zeiger auf ein Fenster, in welchem die DropDownListBox erscheinen soll
                falls die DropDownListBox auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX            ist die Position der DropDownListBox im Parent-Fenster
PosY     

GadWidth        diese beschreiben die Breite und Hhe der DropDownListBox
GadHeight

ListBoxWidth    diese beschreiben die Breite und Hhe der aufgeklappten ListBox.
ListBoxHeight   

mode            Bedienkonzept des Controls. Zum einen gibt es die Mglichkeit eines Auswahlfensters, in dem man den entsprechenden
                Eintrag auswhlt, "very common" denke ich. 
                Die andere Bedienvariante besteht in einer Art von rotierenden Eintragsliste. 
                Wer noch das Amiga-OS kennt, wird sich an das Cycle-Gadget erinnern :).
                Man mu so oft ins Control zu klicken, bis der entsprechende Eintrag erscheint. Dies ist nur sinnvoll bei relativ wenigen Eintrgen.
                
                0 (voreingestellt) ein Auswahlfenster wird aufgeklappt und einer der Eintrge kann nun (angescrollt und..) ausgewhlt werden
                
                1 Mix aus beidem...
                  links: Auswahlfenster
                  rechter Symbolbereich: rotierende Liste                 
                
                2 noch ein Mix aus beidem...
                  links: rotierende Liste
                  rechter Symbolbereich: Auswahlfenster                 
                
                3 nur rotierende Liste

*** Rckgabewert:
Zeiger vom Typ Gadget ptr auf das erzeugte Gadget

*** Hinweise:
Wenn DropDownListBox und Eintrge erstellt worden sind, sollte generell eine entsprechende (Vor-)Selektierung mit SetDDListBox() erfolgen.
Falls gewnscht, kann die Box allerdings auch mit einen "nichts ist selektiert" Zustand starten.


'******************************************************************************
'******************************************************************************
*** Beschreibung:
Selektiert/Deselektiert einen Eintrag einer ListBox  

*** Syntax:
declare sub SetDDListBox(gad as Gadget ptr,i as integer, Selection)

*** Parameter:
gad         ein Zeiger auf eine ListBox

i           Indexnummer des Eintrages dessen Selektion gendert werden soll

Selection   1=Eintrag soll selektiert sein
            0=Eintrag soll nicht selektiert sein
            
*** Rckgabewert:
/

*** Hinweise:
Nach Erzeugung einer ListBox und deren Eintrge ist gegebenenfalls eine entsprechende Selektion mit diesem Befehl vorzunehmen.


'******************************************************************************
'******************************************************************************
*** Beschreibung:
Liefert den Index des selektierten Eintrages einer DropDownListBox

*** Syntax:
function GetDDListBox(gad as Gadget ptr) as integer

*** Parameter:
gad     ein Zeiger auf eine ListBox

*** Rckgabewert:
eine Indexnummer eines selektierten Eintrages. Falls kein Eintrag selektiert ist, wird eine 0 rckgegeben

*** Hinweise:

'/
