#include "sGUI\sGUI.bas"
using sGUI

sGUIScreen 19
InitGUI

dim as sGUIWindow ptr win
win=AddWindow(0,10,10,300,300,"Fenster",WFLAG_DRAGABLE or WFLAG_FRAMED or WFLAG_CLOSEABLE)

ShowWindow(win)

do
  sleep 1
  MasterControlProgram
loop until SCREENCLOSEBUTTON

/'
'******************************************************************************
'******************************************************************************

*** Beschreibung:
Die folgende Funktion erzeugt ein Fenster

*** Syntax:
function AddWindow (parent as any ptr,PosX as integer,PosY as integer,WinWidth as integer,WinHeight as integer,Text as string="", WinFlags as integer=0) as sGUIWindow ptr

*** Parameter:
win           ein Zeiger auf ein Parent-Fenster, in welchem das zu erzeugende Fenster erscheinen soll
              falls das Fenster auf dem Screen erscheinen soll, muss 0 bergeben werden

PosX          ist die Position dieses Fensters im Parent-Fenster
PosY     

WinWidth      dies bestimmt die Breite und Hhe des Fensters, genauer des Contentbereiches.
WinHeight     Hat ein Fenster einen Rahmen so ist das gesamte Fenster grer

Text          Der Titeltext des Fensters

Winflags      ber die Flags werden bestimmte Eigenschaften des Fensters eingestellt wie Aussehen, Verhalten im Fensterstapel usw.
              Mehrere Flags werden entweder addiert oder mit OR logisch verknpft
              siehe Hinweise.

*** Rckgabewert:
Zeiger vom Typ sGUIWindow ptr auf das erzeugte Fenster

*** Hinweise:
ein bergebener Titeltext des Fensters setzt automatsch das GFX Flag WFLAG_TITLEBAR 

zu den Flags
1.) FensterTyp
WFLAG_IMAGE       ein reines Imagefenster, ignorert den Titeltext und schliet eventuell gesetzte Flags in 2.) und 3.) aus bzw. hebt diese auf

2.) Buttons & Men
WFLAG_WINDOWMENU  das Fenster hat ein Men, setzt zustzlich das GFX Flag WFLAG_MENUBAR
WFLAG_DRAGABLE    Fenster ist ber die Titelzeile verschiebbar, setzt zustzlich das GFX Flag WFLAG_TITLEBAR
WFLAG_CLOSEABLE   Fenster hat einen CloseButton, setzt zustzlich das GFX Flag WFLAG_TITLEBAR

3.) GFX Elemente
WFLAG_FRAMED      das Fenster besitzt einen Rahmen
WFLAG_TITLEBAR    das Fenster besitzt eine Titelzeile, falls ein Titeltext definiert worden ist, wird diese Flag automatisch gesetzt
WFLAG_MENUBAR     das Fenster besitzt eine Menzeile

4.) Stapelverhalten
nur eines der folgenden Flags muss gesetzt sein, anderenfalls gilt WFLAG_STACKABLE
WFLAG_STACKABLE     Fenster kann sich im Fensterstapel bewegen, dies hngt natrlich vom Stapelverhalten der anderen Fenster ab
WFLAG_BACKDROP      Fenster ist immer "unten" im Stapel
WFLAG_ALWAYSONTOP   Fenster ist immer oben auf dem Fensterstapel
WFLAG_WARN          Fenster ist oben und nur dieses Fenster hat Funktionalitt, andere Fenster sind gesperrt
WFLAG_WARNIGNORE    Funktion noch nicht eingebaut !!! Spezialflag fr DropDownGadget-Windows in Verbindung mit einem WFLAG_WARN-Parent-Fenster

5.) Focus oder Selektion
Vorab sein gesagt, die Selektion ist in sGUI eher als eine grafische Eigenschaft zu sehen:
wenn ein MausKlick in einem Fenster erfolgt, ist dieses in der Regel selektiert oder hat im weitesten Sinn auch den Focus.
Es kann nur immer ein Fenster den Focus haben, unabhngig in welcher Hierachieebene es sich befindet.
Falls nicht durch entsprechende Flags beeinflusst und ein Rahmen vorhanden ist, werden Fenster bei Selektion farblich hervorgehoben dargestellt.
Dies kann nun optisch zu "unschnen Effekten" fhren, beispielsweise verlieren Fenster ihren Focus wenn ein (rahmenloses) Child-Fenster
im inneren angeklickt wurde usw...
Um etwas besseren Einfluss darauf zu haben gibt en nun folgende Flags...

5.1) "Focus"
folgende Flags beeinflussen direkt die Selektion bei einem MausKlick.
WFLAG_PARENTSELECT      bei einem MausKlick ins Fenster wird nicht dieses selbst, sondern dessen Parent-Fenster selektiert.
                        Die Selektion wird "nach oben durchgereicht", sinnvoll bei Child-Fenstern
WFLAG_NOSELECT          bei einem MausKlick ins Fenster erfolgt keine Selektion. Eine mglich bestehende Selektion
                        eines anderen Fensters bleibt weiterhin erhalten
5.2.) Darstellung
folgende Flags beeinflussen das Aussehen, unabhngig ob das Fenster selekiert/unselektiert ist
WFLAG_APPEARSSELECTED         Fenster wird permanent selektiert dargestellt
WFLAG_APPEARSUNSELECTED       Fenster wird permanent unselektiert dargestellt

6.) sonstige
WFLAG_HIDECLICKEDOUTSIDE    ein Klick ausserhalb des Fensters schliesst es automatisch
WFLAG_HIDECLICKEDINSIDE     ein Klick ins Fenster schliesst es automatisch
'/